# copyright (C) 1997-2000 Jean-Luc Fontaine (mailto:jfontain@free.fr)
# this program is free software: please read the COPYRIGHT file enclosed in this package or use the Help Copyright menu

set rcsId {$Id: network.tcl,v 1.7 2000/06/02 21:08:19 jfontain Exp $}

package provide network [lindex {$Revision: 1.7 $} 1]

namespace eval network {

    proc parseRemoteLocator {string} {                                                                  ;# return user and host list
        set string [string trim $string]
        if {[string match *@* $string]} {                                                                     ;# user@host specified
            return [split $string @]
        } else {                                                                                              ;# only host specified
            return [list $::env(USER) $string]                                                                   ;# use current user
        }
    }

    proc checkRemoteOutputEmptiness {host} {
        catch "exec /usr/bin/rsh $host test" output
        if {[string length $output]>0} {
            error "remote host \"$host\" shell output should be empty, got instead:\n$output"
        }
    }

}
